Subject: Re: [Netconf] Comments on draft-badra-netconf-rfc5539bis-02.txt

From: Martin Bjorklund <[email-masked]>
Date: Mon, 24 Sep 2012 23:54:19 +0200 (CEST)

Alan Luchuk <[email-masked]> wrote:
> >> > o  YANG module
> >> >
> >> > o  list cert-map
> >> > 
> >> >   Instead of using an integer key, I suggest you use an ordered-by
> >> >   user list with an arbitratry string as key.   This use case is why
> >> >   ordered-by user lists exist.
> >> > 
> >> > 
> >> > o leaf map-type {
> >> > 
> >> >   Instead of enumerating all different combinations, I suggest you use
> >> >   an ordered-by user leaf-list.  Also, I think the following structure
> >> >   would be more natural:
> >> > 
> >> >     choice map-type {
> >> >       leaf specified {
> >> >         type nacm:user-name-type;  // note the new type
> >> >         // replaces your "data" leaf
> >> >       }
> >> >       leaf-list from-certificate {
> >> >         type enumeration {
> >> >           enum rfc822Name;
> >> >           enum dNSName;
> >> >           enum ipAddress;
> >> >         }
> >> >         ordered-by user;
> >> >       }
> >> >     }
> >> > 
> >> >   Then you can use for example:
> >> > 
> >> >     <specified>bob</specified>
> >> > 
> >> >   or
> >> > 
> >> >     <from-certificate>dnsName</from-certificate>
> >> >     <from-certificate>rfc822Name</from-certificate>
> >> 
> >> I prefer to leave the YANG objects as proposed.
> >
> >Can you provide some motivation for this?  To me, this looks like a
> >rather direct translation from a MIB structure (which the document
> >also says it is).  
> 
> That's pretty much the reason.  I prefer making the newer standard 
> similar to the existing standard to ease the transition to the newer 
> standard.

I am not sure I agree with this statement in general, but even with
the proposed changes to the data model, it is really very similar to
the MIB.

> >I (pyang) also found a syntax error in the current version of the
> >module:
> >
> > revision "2012-09-13" {
> >   description
> >     "rename host-part to domain-part in the description of RFC822".
> >
> >The '.' above should be ';'.
> 
> 
> Thanks.  Another revision statement should probably be added as well.

No, we add revision statement only when a module is published as an
RFC.  When it is still in an I-D, we just update the single revision
statement with a new data.  I-Ds are relly just work in progress.

/martin